Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.mappings
Class SkinLFResolver

    java.lang.Object
      org.flexdock.plaf.mappings.RefResolver
          org.flexdock.plaf.mappings.SkinLFResolver

    public class SkinLFResolver

extends RefResolver

Author:
  Christopher Butler

Constructor Summary
`SkinLFResolver()`

Method Summary
`String` | `getDefaultRef()`
`String` | `getRef(String plaf)`

Methods inherited from class org.flexdock.plaf.mappings.RefResolver
`setDefaultRef`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkinLFResolver

    public SkinLFResolver()

Method Detail

### getRef

    public String getRef(String plaf)

  Overrides:
    `getRef` in class `RefResolver`

### getDefaultRef

    public String getDefaultRef()

  Overrides:
    `getDefaultRef` in class `RefResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD